Skip to main content
GET
/
v0
/
pint
/
{pint_id}
Get Pint Detail Internal
curl --request GET \
  --url https://api.sumvin.com/v0/pint/{pint_id}
{
  "_links": {
    "issue_token": {
      "href": "/v0/sis/token/pint",
      "method": "POST"
    },
    "revoke": {
      "href": "/v0/pint/sr%3Aus%3Apint%3Aabc123def456",
      "method": "DELETE"
    },
    "self": {
      "href": "/v0/pint/sr%3Aus%3Apint%3Aabc123def456"
    },
    "status": {
      "href": "/v0/sis/pint/sr%3Aus%3Apint%3Aabc123def456/status"
    },
    "tokens": {
      "href": "/v0/pint/sr%3Aus%3Apint%3Aabc123def456/tokens"
    }
  },
  "pint": {
    "created_at": 1704067200000,
    "enforcement_mode": "strict",
    "expires_at": 1704153600000,
    "id": "sr:us:pint:abc123def456",
    "nonce": 1,
    "scopes": [
      "read:portfolio"
    ],
    "signed_at": 1704067200500,
    "signer_type": "user",
    "status": "active",
    "token_count": 2,
    "transaction_count": 0,
    "wallet_address": "0xaabbccdd11223344556677889900aabbccddeeff"
  }
}

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-sumvin-token
string | null
x-juno-jwt
string | null

Path Parameters

pint_id
string
required

Query Parameters

expand
enum<string>[]
Available options:
tokens,
transactions,
agent_tasks,
source_chat_message

Response

Successful Response

HAL-style hypermedia links for navigation and available actions.

pint
PintDetailData · object
required

PINT resource details.

tokens
PintTokenIssuanceEntry · object[] | null

JWT token issuances. Populated when ?expand=tokens is requested.

transactions
PintTransactionData · object[] | null

Transactions linked to this PINT. Populated when ?expand=transactions is requested.

agent_tasks
PintAgentTaskData · object[] | null

Agent tasks linked to this PINT. Populated when ?expand=agent_tasks is requested.